SAVELOG(8)

NOM
savelog - sauvegarde un fichier journal

SYNOPSIS
savelog [-m mode] [-u user] [-g group] [-t] [-p] [-c cycle] [-l] [-j] [-C] [-d] [-l] [-r rolldir] [-n] [-q] [-D dateformat] file ...

DESCRIPTION
Le programme savelog sauvegarde un fichier journal et, éventuellement, compresse les anciennes versions. Les anciennes versions de fichier sont nommées :
    fichier.<numéro><extension_de_compression>
où <numéro> est le numéro de version, la version la plus récente portant le numéro 0. Si l'option -l n'est pas spécifiée, les versions dont le numéro est supérieur à 0 sont compressées. La version 0 n'est pas compressée car le fichier est peut-être utilisé par un programme. L'argument cycle indique le nombre de versions à conserver. Si le fichier n'existe pas et que l'option -t est utilisée, le fichier est créé. Les actions suivantes sont effectuées pour les fichiers existants et dont la taille est supérieure à zéro :

1)  La numérotation des versions est un cycle. Le fichier de version cycle-2 devient version cycle-3, la version cycle-1 devient version cycle-2, ainsi de suite. Finalement, la version 0 devient version 1 et la version cycle est supprimée. Les fichiers compressés et non compressés entrent dans ce cycle, même si l'option -l a été spécifiée. Les versions manquantes sont ignorées.

2)  Le nouveau fichier.1 est compressé sauf si l'option -l est utilisée. Il est modifié en tenant compte des arguments des options -m, -u, et -g.

3)  Le fichier principal devient fichier.0.

4)  Si les options -m, -u, -g, -t, ou -p sont utilisées, un fichier vide est créé en tenant compte des arguments de ces options. En utilisant l'option -p, le fichier est créé avec les mêmes utilisateur, groupe et permissions que l'ancien fichier.

5)  Le nouveau fichier.0 est modifié en fonction des arguments des options -m, -u, et -g. Comme le numéro de version commence à 0, cycle n'est jamais atteint. La valeur de cycle doit être supérieure ou égale à 2.

OPTIONS

-m mode
    Modifie les autorisations d'accès aux fichiers journaux (chmod mode). Cette option implique -t.

-u utilisateur
    Attribue les fichiers journaux à utilisateur (chown utilisateur). Cette option implique -t.

-g groupe
    Attribue les fichiers journaux au groupe groupe (chgrp groupe). Cette option implique -t.

-c cycle
    Sauvegarde cycle versions du fichier journal (7 par défaut).

-t  Si nécessaire, crée le fichier journal.

-l  Ne compresse pas les fichiers journaux (par défaut, les fichiers sont compressés).

-p  Conserve le propriétaire, le groupe et les permissions du fichier journal.

-j  Compresse avec bzip2 au lieu de gzip.

-C  Force la suppression des sauvegardes.

-d  Utilise la date (AAMMJJhhmmss) au lieu du numéro de version.

-D dateformat
    override date format, in the form of [MMDDhhmm[[CC]YY][.ss]]

-r répertoire
    Sauvegarde les fichiers journaux dans le répertoire répertoire au lieu de « . ».

-n  Ne sauvegarde pas les fichiers vides.

-q  N'affiche pas de message.

BOGUES
Si un programme est en train d'écrire fichier.0, et que savelog le renomme fichier.1 et le compresse, des données peuvent être perdues.

TRADUCTION
Ce document est une traduction, réalisée par Antoine Gémis <agemis@netuup.com> le 13 janvier 2003 (savelog 1.16.7).
Elle a été reprise avec po4a par Nicolas FRANÇOIS le 29 octobre 2004. L'équipe de traduction a fait le maximum pour réaliser une adaptation française de qualité. La version anglaise la plus à jour de ce document est toujours consultable en ajoutant l'option « -L C » à la commande man. N'hésitez pas à signaler à l'auteur ou à la liste de traduction <debian-l10-french@lists.debian.org>, selon le cas, toute erreur dans cette page de manuel.